# ®(4)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

&reg - Retrieve a registry value (with default)

## SYNOPSIS

&reg root default

## DESCRIPTION

&reg retrieves the value of a node defined by root from the registry, this is an absolute path.

The default value is the value of the node to return if the registry node does not exist.

## EXAMPLE

The following example is taken from `me.emf` and uses the registry to retrieve some of the default configuration files:

    ; Load in the color setup
    !force execute-file &reg &spr "/history/%s/color" $platform "color"
    ; execute company setup
    !if &not &seq &set #l0 &reg "/history/company" ""
        !force execute-file #l0
    !endif

## SEE ALSO

copy-registry(3), delete-registry(2), find-registry(2), list-registry(2), mark-registry(2), read-registry(2), set-registry(2). erf(8).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>